Skip to main content
PATCH
/
api
/
v3
/
{teamSlug}
/
{projectId}
/
views
/
{viewId}
curl -X PATCH "https://fluar.com/api/v3/acme-corp/proj_550e8400e29b41d4a716446655440000/views/view_ccc333" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Top Priority Leads",
    "sorting": [
      {
        "columnId": "col_ccc333",
        "direction": "desc"
      }
    ]
  }'
{
  "success": true,
  "view": {
    "id": "view_ccc333",
    "name": "Top Priority Leads",
    "emoji": "star"
  }
}
Update an existing saved view. Only the fields included in the request body will be changed. Requires a Bearer token.
curl -X PATCH "https://fluar.com/api/v3/acme-corp/proj_550e8400e29b41d4a716446655440000/views/view_ccc333" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Top Priority Leads",
    "sorting": [
      {
        "columnId": "col_ccc333",
        "direction": "desc"
      }
    ]
  }'
{
  "success": true,
  "view": {
    "id": "view_ccc333",
    "name": "Top Priority Leads",
    "emoji": "star"
  }
}